Bug 225014 - [NEW PORT] syslogin/google-compute-engine-oslogin: Enable Google Compute OS Login features on Google Compute Engine instances
Summary: [NEW PORT] syslogin/google-compute-engine-oslogin: Enable Google Compute OS L...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Richard Gallamore
URL: https://github.com/GoogleCloudPlatfor...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-08 20:12 UTC by Helen Koike
Modified: 2018-03-26 14:42 UTC (History)
2 users (show)

See Also:


Attachments
google-compute-engine-oslogin version 1.1.2 (13.24 KB, application/x-shar)
2018-01-08 20:12 UTC, Helen Koike
helen.koike: maintainer-approval+
Details
poudriere and portlint build logs (4.65 KB, application/gzip)
2018-01-08 20:12 UTC, Helen Koike
no flags Details
poudriere and portlint build logs updated with last diff in phabricator (4.65 KB, application/gzip)
2018-01-11 14:02 UTC, Helen Koike
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Helen Koike 2018-01-08 20:12:13 UTC
Created attachment 189537 [details]
google-compute-engine-oslogin version 1.1.2

Hi,

This package enables the use of the OS Login feature in Google Cloud Engine (GCE) and will be required by newer versions of sysutils/py-google-compute-engine.

I would appreciate if someone
could review this.

Thanks


Port description:

This package enables Google Cloud OS Login features on Google Compute Engine
instances.
The OS Login package has the following components:

- Authorized Keys Command to fetch SSH keys from the user's OS Login profile and
make them available to sshd.
- NSS Module provides support for making OS Login user and group information
available to the system, using NSS (Name Service Switch) functionality.
- PAM Module provides authorization and authentication support allowing the
system to use data stored in Google Cloud IAM permissions to control both, the
ability to log into an instance, and to perform operations as root (sudo).
- Utils provides common code to support the components listed above.

In addition to the main components, there are also utilities for packaging and
installing these components:

- bin contains a shell script for (de)activating the package components.

WWW: https://github.com/GoogleCloudPlatform/compute-image-packages/tree/master/google_compute_engine_oslogin
Comment 1 Helen Koike 2018-01-08 20:12:48 UTC
Created attachment 189538 [details]
poudriere and portlint build logs
Comment 2 Richard Gallamore freebsd_committer 2018-01-08 20:43:32 UTC
Hello Helen,

Thank you for creating the port. Would you mind creating a differential on phabricator[1]? This would help me very much for reviewing the port.

There is a guide on setting up the cli[2] if interested. Creating this is not required but it will help expedite the review process. Please reply back with the link if you do create one. Thanks =]

[1] https://reviews.freebsd.org/
[2] https://wiki.freebsd.org/Phabricator
Comment 3 Helen Koike 2018-01-09 15:23:53 UTC
(In reply to Richard Gallamore from comment #2)
https://reviews.freebsd.org/D13811
Comment 4 Helen Koike 2018-01-11 14:02:28 UTC
Created attachment 189613 [details]
poudriere and portlint build logs updated with last diff in phabricator

I am deprecating the attached patch because I updated I newer one on phabricator ( you can see it at https://reviews.freebsd.org/D13811?download=true )
I am also attaching the poudriere and portlink logs from the last version of the patch
Comment 5 commit-hook freebsd_committer 2018-01-22 00:15:26 UTC
A commit references this bug:

Author: ultima
Date: Mon Jan 22 00:14:29 UTC 2018
New revision: 459632
URL: https://svnweb.freebsd.org/changeset/ports/459632

Log:
  This package enables Google Cloud OS Login features on Google Compute Engine
  instances.
  The OS Login package has the following components:

  - Authorized Keys Command to fetch SSH keys from the user's OS Login profile and
  make them available to sshd.
  - NSS Module provides support for making OS Login user and group information
  available to the system, using NSS (Name Service Switch) functionality.
  - PAM Module provides authorization and authentication support allowing the
  system to use data stored in Google Cloud IAM permissions to control both, the
  ability to log into an instance, and to perform operations as root (sudo).
  - Utils provides common code to support the components listed above.

  In addition to the main components, there are also utilities for packaging and
  installing these components:

  - bin contains a shell script for (de)activating the package components.

  WWW: https://github.com/GoogleCloudPlatform/compute-image-packages/tree/master/google_compute_engine_oslogin

  PR:		225014
  Submitted by:	Helen Koike (maintainer)
  Reviewed by:	mat
  Differential Revision:	https://reviews.freebsd.org/D13811

Changes:
  head/sysutils/Makefile
  head/sysutils/google-compute-engine-oslogin/
  head/sysutils/google-compute-engine-oslogin/Makefile
  head/sysutils/google-compute-engine-oslogin/distinfo
  head/sysutils/google-compute-engine-oslogin/files/
  head/sysutils/google-compute-engine-oslogin/files/patch-Makefile
  head/sysutils/google-compute-engine-oslogin/files/patch-bin_google__oslogin__control
  head/sysutils/google-compute-engine-oslogin/files/patch-nss__module_nss__oslogin.cc
  head/sysutils/google-compute-engine-oslogin/files/patch-pam__module_pam__oslogin__admin.cc
  head/sysutils/google-compute-engine-oslogin/files/patch-pam__module_pam__oslogin__login.cc
  head/sysutils/google-compute-engine-oslogin/files/patch-utils_oslogin__utils.cc
  head/sysutils/google-compute-engine-oslogin/pkg-descr
  head/sysutils/google-compute-engine-oslogin/pkg-plist
Comment 6 Richard Gallamore freebsd_committer 2018-01-22 00:15:45 UTC
Committed, Thanks!